Bug 181364 - [PATCH] misc/mc: Update to 4.8.10
Summary: [PATCH] misc/mc: Update to 4.8.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-18 02:00 UTC by Rusmir Dusko
Modified: 2013-10-28 15:50 UTC (History)
0 users

See Also:


Attachments
file.txt (13.62 KB, text/plain)
2013-08-18 02:00 UTC, Rusmir Dusko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rusmir Dusko freebsd_committer 2013-08-18 02:00:01 UTC
- Update to 4.8.10
- Remove PORTDATA --> full pkg-plist
- USES gmake pkgconfig
- Add DOCS and NCURSES Option
- Rename EDIT --> EDITOR because new Options Helpers
- Remove NLS from default Options
- Add docs and mute REINPLACE_CMD
- Trim pkg-plist

Added file(s):
- files/patch-misc-ext.d-misc.sh.in

Fix: Patch attached with submission follows:
How-To-Repeat: Build log

https://redports.org/buildarchive/20130817231900-36176/
Comment 1 Edwin Groothuis freebsd_committer 2013-08-18 02:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-21 22:07:27 UTC
Author: nemysis
Date: Mon Oct 21 21:07:18 2013
New Revision: 331192
URL: http://svnweb.freebsd.org/changeset/ports/331192

Log:
  - Update to 4.8.10
  - Use the new format for LIB_DEPENDS
  - Remove PORTDATA use full pkg-plist
  - Add DOCS and NCURSES Options
  - Add EDITOR to default Options
  - Remove NLS and EDIT from default Options
  - Support STAGEDIR and add OPTIONS_SUB
  - Add DOCS
  - Remove obsolete REINPLACE_CMD
  - Add patch, resolve Syntax error
  
  PR:		ports/181364
  Submitted by:	nemysis (self)
  Approved by:	pawel / wg (mentors, implicit), maintainer timeout

Added:
  head/misc/mc/files/patch-misc-ext.d-misc.sh.in   (contents, props changed)
Modified:
  head/misc/mc/Makefile
  head/misc/mc/distinfo   (contents, props changed)
  head/misc/mc/pkg-plist

Modified: head/misc/mc/Makefile
==============================================================================
--- head/misc/mc/Makefile	Mon Oct 21 20:54:28 2013	(r331191)
+++ head/misc/mc/Makefile	Mon Oct 21 21:07:18 2013	(r331192)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mc
-PORTVERSION=	4.8.8
+PORTVERSION=	4.8.10
 PORTREVISION=	0
 CATEGORIES=	misc shells
 MASTER_SITES=	http://ftp.osuosl.org/pub/midnightcommander/
@@ -12,82 +12,81 @@ COMMENT=	Midnight Commander, a free Nort
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	ssh2:${PORTSDIR}/security/libssh2
+LIB_DEPENDS=	libssh2.so:${PORTSDIR}/security/libssh2
 
 CONFLICTS=	mc-light-4*
 
+USE_XZ=		yes
 USES=		gmake perl5 pkgconfig
 USE_GNOME=	glib20
-USE_XZ=		yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	ZIP=${UNZIP_CMD} UNZIP=${UNZIP_CMD}
 USE_AUTOTOOLS=	libtool
 
-PORTDATA=	*
+OPTIONS_DEFINE=	DOCS EDITOR ICONV NLS SMB SUBSHELL X11 
+
+OPTIONS_SINGLE=	SCREEN
+OPTIONS_SINGLE_SCREEN=	SLANG NCURSES
 
-OPTIONS_DEFINE=	SLANG ICONV NLS EDIT X11 SUBSHELL SMB
-EDIT_DESC=	Build with internal editor
+OPTIONS_DEFAULT=	EDITOR ICONV SLANG SMB SUBSHELL X11
+
+EDITOR_DESC=	Build with internal editor
 SUBSHELL_DESC=	Build with subshell support
 
-OPTIONS_DEFAULT=	SLANG ICONV NLS EDIT X11 SUBSHELL SMB
+OPTIONS_SUB=	yes
 
-NO_STAGE=	yes
-post-patch:
-	${REINPLACE_CMD} -e 's/SUBDIRS = intl/SUBDIRS =/' ${WRKSRC}/Makefile.in
-	${REINPLACE_CMD} -e 's/saved_CPPFLAGS="-ltermcap/saved_CPPFLAGS="/' ${WRKSRC}/configure
+EDITOR_CONFIGURE_WITH=	internal-edit
 
-.include <bsd.port.options.mk>
+ICONV_USES=		iconv
+ICONV_CONFIGURE_ENABLE=	charset
 
-.if ${PORT_OPTIONS:MSMB} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--enable-vfs-smb --with-configdir=${LOCALBASE}/etc\
-		--with-codepagedir=${LOCALBASE}/etc/codepages
-.endif
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=		gettext
 
-.if ${PORT_OPTIONS:MICONV} && !defined(MINIMAL)
-USES+=		iconv
-.else
-CONFIGURE_ARGS+=--disable-charset
-.endif
+SLANG_LIB_DEPENDS=	libslang.so:${PORTSDIR}/devel/libslang2
+
+SMB_CONFIGURE_ENABLE=	vfs-smb configdir=${LOCALBASE}/etc \
+			codepagedir=${LOCALBASE}/etc/codepages
+
+SUBSHELL_CONFIGURE_WITH=	subshell
 
-.if ! ${PORT_OPTIONS:MNLS} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.else
+X11_CONFIGURE_ENABLE=	x
+
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	AUTHORS NEWS README
+
+DOCSRCDIR2=	${WRKSRC}/doc
+DOCSDIR2=	${DOCSDIR}/doc
+DOC_FILES2=	FAQ HACKING MAINTAINERS *.txt TODO
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-_MANLANG=	es hu it pl ru sr
 .endif
 
-.if ! ${PORT_OPTIONS:MX11} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--without-x
-.else
+.if${PORT_OPTIONS:MX11}
 USE_XORG=	x11 xext
 .endif
 
-.if ! ${PORT_OPTIONS:MEDIT} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--without-edit
-PLIST_SUB+=	EDITOR="@comment "
-.else
-PLIST_SUB+=	EDITOR=""
-.endif
-
-.if ! ${PORT_OPTIONS:MSLANG} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--with-screen=ncurses
-.else
-LIB_DEPENDS+=	slang:${PORTSDIR}/devel/libslang2
+.if ${PORT_OPTIONS:MSLANG}
 CONFIGURE_ARGS+=--with-screen=slang --with-slang-includes=${LOCALBASE}/include
 .endif
 
-.if ! ${PORT_OPTIONS:MSUBSHELL} && !defined(MINIMAL)
-CONFIGURE_ARGS+=--without-subshell
+.if ${PORT_OPTIONS:MNCURSES}
+CONFIGURE_ARGS+=--with-screen=ncurses --with-ncurses-includes=${LOCALBASE}/include
 .endif
 
-MAN1=		mc.1 mcedit.1 mcview.1
-_MAN1=		mc.1
-.for lang in ${_MANLANG}
-_MANPAGES+=	${_MAN1:S%^%${MAN1PREFIX}/man/${lang}/man1/%}
-.endfor
+post-patch:
+	@${REINPLACE_CMD} -e 's|SUBDIRS = intl|SUBDIRS =|' ${WRKSRC}/Makefile.in
+
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
 
 .include <bsd.port.mk>

Modified: head/misc/mc/distinfo
==============================================================================
--- head/misc/mc/distinfo	Mon Oct 21 20:54:28 2013	(r331191)
+++ head/misc/mc/distinfo	Mon Oct 21 21:07:18 2013	(r331192)
@@ -1,2 +1,2 @@
-SHA256 (mc-4.8.8.tar.xz) = b898a343b2b11274a20b2a491f9f5422b6d041e65e152c56d7255084fd04b78b
-SIZE (mc-4.8.8.tar.xz) = 2150988
+SHA256 (mc-4.8.10.tar.xz) = 5bda5a10bd0447da4b3b36c55d10fdf26e279d29fd30792467d68bdb7c2f2788
+SIZE (mc-4.8.10.tar.xz) = 2152000

Added: head/misc/mc/files/patch-misc-ext.d-misc.sh.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/misc/mc/files/patch-misc-ext.d-misc.sh.in	Mon Oct 21 21:07:18 2013	(r331192)
@@ -0,0 +1,11 @@
+--- misc/ext.d/misc.sh.in.orig	2013-08-02 17:02:39.000000000 +0200
++++ misc/ext.d/misc.sh.in	2013-08-18 01:11:41.000000000 +0200
+@@ -22,7 +22,7 @@
+         file "${MC_EXT_FILENAME}" && nm -C "${MC_EXT_FILENAME}"
+         ;;
+     lib)
+-        gplib -t "${MC_EXT_FILENAME}" || >&2 | \
++        gplib -t "${MC_EXT_FILENAME}" || >&2 \
+             @PERL@ -e '@a=split /[\s\t]+/, <>; printf ("%-30s | %10d | %s.%s.%02d | %s\n", $a[0], ($a[1]*1),$a[7], lc($a[4]), $a[5], $a[6]);'
+         ;;
+     so)

Modified: head/misc/mc/pkg-plist
==============================================================================
--- head/misc/mc/pkg-plist	Mon Oct 21 20:54:28 2013	(r331191)
+++ head/misc/mc/pkg-plist	Mon Oct 21 21:07:18 2013	(r331192)
@@ -77,6 +77,15 @@ libexec/mc/mc-wrapper.csh
 libexec/mc/mc-wrapper.sh
 libexec/mc/mc.csh
 libexec/mc/mc.sh
+man/es/man1/mc.1.gz
+man/hu/man1/mc.1.gz
+man/it/man1/mc.1.gz
+man/man1/mc.1.gz
+man/man1/mcedit.1.gz
+man/man1/mcview.1.gz
+man/pl/man1/mc.1.gz
+man/ru/man1/mc.1.gz
+man/sr/man1/mc.1.gz
 %%NLS%%share/locale/az/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/be/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/mc.mo
@@ -92,7 +101,6 @@ libexec/mc/mc.sh
 %%NLS%%share/locale/eu/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/fa/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/mc.mo
-%%NLS%%share/locale/fi_FI/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/mc.mo
@@ -100,9 +108,9 @@ libexec/mc/mc.sh
 %%NLS%%share/locale/ia/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/id/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/it/LC_MESSAGES/mc.mo
-%%NLS%%share/locale/it_IT/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/ka/LC_MESSAGES/mc.mo
+%%NLS%%share/locale/kk/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/mc.mo
@@ -119,6 +127,7 @@ libexec/mc/mc.sh
 %%NLS%%share/locale/sr/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/sv_SE/LC_MESSAGES/mc.mo
+%%NLS%%share/locale/szl/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/ta/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/uk/LC_MESSAGES/mc.mo
@@ -126,30 +135,179 @@ libexec/mc/mc.sh
 %%NLS%%share/locale/wa/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/mc.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/mc.mo
+%%DATADIR%%/examples/macros.d/macro.0.sh
+%%DATADIR%%/examples/macros.d/macro.1.sh
+%%DATADIR%%/examples/macros.d/macro.3.sh
+%%DATADIR%%/examples/macros.d/macro.4.sh
+%%DATADIR%%/examples/macros.d/macro.5.sh
+%%DATADIR%%/examples/macros.d/macro.6.sh
+%%DATADIR%%/examples/macros.d/macro.7.sh
+%%DATADIR%%/help/mc.hlp
+%%NLS%%%%DATADIR%%/help/mc.hlp.es
+%%NLS%%%%DATADIR%%/help/mc.hlp.hu
+%%NLS%%%%DATADIR%%/help/mc.hlp.it
+%%NLS%%%%DATADIR%%/help/mc.hlp.pl
+%%NLS%%%%DATADIR%%/help/mc.hlp.ru
+%%NLS%%%%DATADIR%%/help/mc.hlp.sr
+%%DATADIR%%/hints/mc.hint
+%%NLS%%%%DATADIR%%/hints/mc.hint.az
+%%NLS%%%%DATADIR%%/hints/mc.hint.be
+%%NLS%%%%DATADIR%%/hints/mc.hint.bg
+%%NLS%%%%DATADIR%%/hints/mc.hint.ca
+%%NLS%%%%DATADIR%%/hints/mc.hint.cs
+%%NLS%%%%DATADIR%%/hints/mc.hint.da
+%%NLS%%%%DATADIR%%/hints/mc.hint.de
+%%NLS%%%%DATADIR%%/hints/mc.hint.de_CH
+%%NLS%%%%DATADIR%%/hints/mc.hint.el
+%%NLS%%%%DATADIR%%/hints/mc.hint.eo
+%%NLS%%%%DATADIR%%/hints/mc.hint.es
+%%NLS%%%%DATADIR%%/hints/mc.hint.et
+%%NLS%%%%DATADIR%%/hints/mc.hint.eu
+%%NLS%%%%DATADIR%%/hints/mc.hint.fa
+%%NLS%%%%DATADIR%%/hints/mc.hint.fi
+%%NLS%%%%DATADIR%%/hints/mc.hint.fr
+%%NLS%%%%DATADIR%%/hints/mc.hint.gl
+%%NLS%%%%DATADIR%%/hints/mc.hint.hr
+%%NLS%%%%DATADIR%%/hints/mc.hint.hu
+%%NLS%%%%DATADIR%%/hints/mc.hint.ia
+%%NLS%%%%DATADIR%%/hints/mc.hint.id
+%%NLS%%%%DATADIR%%/hints/mc.hint.it
+%%NLS%%%%DATADIR%%/hints/mc.hint.ja
+%%NLS%%%%DATADIR%%/hints/mc.hint.ka
+%%NLS%%%%DATADIR%%/hints/mc.hint.kk
+%%NLS%%%%DATADIR%%/hints/mc.hint.ko
+%%NLS%%%%DATADIR%%/hints/mc.hint.lt
+%%NLS%%%%DATADIR%%/hints/mc.hint.nl
+%%NLS%%%%DATADIR%%/hints/mc.hint.pl
+%%NLS%%%%DATADIR%%/hints/mc.hint.pt
+%%NLS%%%%DATADIR%%/hints/mc.hint.pt_BR
+%%NLS%%%%DATADIR%%/hints/mc.hint.ro
+%%NLS%%%%DATADIR%%/hints/mc.hint.ru
+%%NLS%%%%DATADIR%%/hints/mc.hint.sk
+%%NLS%%%%DATADIR%%/hints/mc.hint.sl
+%%NLS%%%%DATADIR%%/hints/mc.hint.sr
+%%NLS%%%%DATADIR%%/hints/mc.hint.sv
+%%NLS%%%%DATADIR%%/hints/mc.hint.sv_SE
+%%NLS%%%%DATADIR%%/hints/mc.hint.szl
+%%NLS%%%%DATADIR%%/hints/mc.hint.tr
+%%NLS%%%%DATADIR%%/hints/mc.hint.uk
+%%NLS%%%%DATADIR%%/hints/mc.hint.zh
+%%NLS%%%%DATADIR%%/hints/mc.hint.zh_CN
+%%ICONV%%%%DATADIR%%/mc.charsets
+%%DATADIR%%/mc.lib
+%%DATADIR%%/skins/dark.ini
+%%DATADIR%%/skins/darkfar.ini
+%%DATADIR%%/skins/default.ini
+%%DATADIR%%/skins/double-lines.ini
+%%DATADIR%%/skins/featured.ini
+%%DATADIR%%/skins/gotar.ini
+%%DATADIR%%/skins/mc46.ini
+%%DATADIR%%/skins/modarcon16-defbg.ini
+%%DATADIR%%/skins/modarcon16.ini
+%%DATADIR%%/skins/modarcon16root-defbg.ini
+%%DATADIR%%/skins/modarcon16root.ini
+%%DATADIR%%/skins/modarin256-defbg.ini
+%%DATADIR%%/skins/modarin256.ini
+%%DATADIR%%/skins/modarin256root-defbg.ini
+%%DATADIR%%/skins/modarin256root.ini
+%%DATADIR%%/skins/nicedark.ini
+%%DATADIR%%/skins/sand256.ini
+%%DATADIR%%/skins/xoria256.ini
+%%EDITOR%%%%DATADIR%%/syntax/PKGBUILD.syntax
+%%EDITOR%%%%DATADIR%%/syntax/Syntax
+%%EDITOR%%%%DATADIR%%/syntax/ada95.syntax
+%%EDITOR%%%%DATADIR%%/syntax/as.syntax
+%%EDITOR%%%%DATADIR%%/syntax/aspx.syntax
+%%EDITOR%%%%DATADIR%%/syntax/assembler.syntax
+%%EDITOR%%%%DATADIR%%/syntax/awk.syntax
+%%EDITOR%%%%DATADIR%%/syntax/c.syntax
+%%EDITOR%%%%DATADIR%%/syntax/cabal.syntax
+%%EDITOR%%%%DATADIR%%/syntax/changelog.syntax
+%%EDITOR%%%%DATADIR%%/syntax/cmake.syntax
+%%EDITOR%%%%DATADIR%%/syntax/cs.syntax
+%%EDITOR%%%%DATADIR%%/syntax/css.syntax
+%%EDITOR%%%%DATADIR%%/syntax/cxx.syntax
+%%EDITOR%%%%DATADIR%%/syntax/cython.syntax
+%%EDITOR%%%%DATADIR%%/syntax/d.syntax
+%%EDITOR%%%%DATADIR%%/syntax/debian-changelog.syntax
+%%EDITOR%%%%DATADIR%%/syntax/debian-control.syntax
+%%EDITOR%%%%DATADIR%%/syntax/debian-description.syntax
+%%EDITOR%%%%DATADIR%%/syntax/debian-sources-list.syntax
+%%EDITOR%%%%DATADIR%%/syntax/diff.syntax
+%%EDITOR%%%%DATADIR%%/syntax/dlink.syntax
+%%EDITOR%%%%DATADIR%%/syntax/dos.syntax
+%%EDITOR%%%%DATADIR%%/syntax/ebuild.syntax
+%%EDITOR%%%%DATADIR%%/syntax/eiffel.syntax
+%%EDITOR%%%%DATADIR%%/syntax/erlang.syntax
+%%EDITOR%%%%DATADIR%%/syntax/f90.syntax
+%%EDITOR%%%%DATADIR%%/syntax/filehighlight.syntax
+%%EDITOR%%%%DATADIR%%/syntax/fortran.syntax
+%%EDITOR%%%%DATADIR%%/syntax/haskell.syntax
+%%EDITOR%%%%DATADIR%%/syntax/html.syntax
+%%EDITOR%%%%DATADIR%%/syntax/idl.syntax
+%%EDITOR%%%%DATADIR%%/syntax/ini.syntax
+%%EDITOR%%%%DATADIR%%/syntax/j.syntax
+%%EDITOR%%%%DATADIR%%/syntax/jal.syntax
+%%EDITOR%%%%DATADIR%%/syntax/java.syntax
+%%EDITOR%%%%DATADIR%%/syntax/js.syntax
+%%EDITOR%%%%DATADIR%%/syntax/latex.syntax
+%%EDITOR%%%%DATADIR%%/syntax/lisp.syntax
+%%EDITOR%%%%DATADIR%%/syntax/lkr.syntax
+%%EDITOR%%%%DATADIR%%/syntax/lsm.syntax
+%%EDITOR%%%%DATADIR%%/syntax/lua.syntax
+%%EDITOR%%%%DATADIR%%/syntax/m4.syntax
+%%EDITOR%%%%DATADIR%%/syntax/mail.syntax
+%%EDITOR%%%%DATADIR%%/syntax/makefile.syntax
+%%EDITOR%%%%DATADIR%%/syntax/ml.syntax
+%%EDITOR%%%%DATADIR%%/syntax/named.syntax
+%%EDITOR%%%%DATADIR%%/syntax/nemerle.syntax
+%%EDITOR%%%%DATADIR%%/syntax/nroff.syntax
+%%EDITOR%%%%DATADIR%%/syntax/octave.syntax
+%%EDITOR%%%%DATADIR%%/syntax/pascal.syntax
+%%EDITOR%%%%DATADIR%%/syntax/perl.syntax
+%%EDITOR%%%%DATADIR%%/syntax/php.syntax
+%%EDITOR%%%%DATADIR%%/syntax/po.syntax
+%%EDITOR%%%%DATADIR%%/syntax/povray.syntax
+%%EDITOR%%%%DATADIR%%/syntax/procmail.syntax
+%%EDITOR%%%%DATADIR%%/syntax/properties.syntax
+%%EDITOR%%%%DATADIR%%/syntax/python.syntax
+%%EDITOR%%%%DATADIR%%/syntax/ruby.syntax
+%%EDITOR%%%%DATADIR%%/syntax/sh.syntax
+%%EDITOR%%%%DATADIR%%/syntax/slang.syntax
+%%EDITOR%%%%DATADIR%%/syntax/smalltalk.syntax
+%%EDITOR%%%%DATADIR%%/syntax/spec.syntax
+%%EDITOR%%%%DATADIR%%/syntax/sql.syntax
+%%EDITOR%%%%DATADIR%%/syntax/strace.syntax
+%%EDITOR%%%%DATADIR%%/syntax/swig.syntax
+%%EDITOR%%%%DATADIR%%/syntax/syntax.syntax
+%%EDITOR%%%%DATADIR%%/syntax/tcl.syntax
+%%EDITOR%%%%DATADIR%%/syntax/texinfo.syntax
+%%EDITOR%%%%DATADIR%%/syntax/tt.syntax
+%%EDITOR%%%%DATADIR%%/syntax/unknown.syntax
+%%EDITOR%%%%DATADIR%%/syntax/verilog.syntax
+%%EDITOR%%%%DATADIR%%/syntax/vhdl.syntax
+%%EDITOR%%%%DATADIR%%/syntax/xml.syntax
+%%EDITOR%%%%DATADIR%%/syntax/yum-repo.syntax
+%%EDITOR%%%%DATADIR%%/syntax/yxx.syntax
+%%EDITOR%%@dirrm %%DATADIR%%/syntax
+@dirrm %%DATADIR%%/skins
+@dirrm %%DATADIR%%/hints
+@dirrm %%DATADIR%%/help
+@dirrm %%DATADIR%%/examples/macros.d
+@dirrm %%DATADIR%%/examples
+@dirrm %%DATADIR%%
+%%NLS%%@dirrmtry share/locale/szl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/szl
 %%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/sv_SE
-%%NLS%%@dirrmtry share/locale/it_IT/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/it_IT
+%%NLS%%@dirrmtry share/locale/kk/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/kk
 %%NLS%%@dirrmtry share/locale/ia/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ia
-%%NLS%%@dirrmtry share/locale/fi_FI/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/fi_FI
 %%NLS%%@dirrmtry share/locale/de_CH/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/de_CH
 @dirrm libexec/mc/fish
 @dirrm libexec/mc/extfs.d
 @dirrm libexec/mc/ext.d
 @dirrm libexec/mc
-@dirrm etc/mc
-@dirrmtry man/sr/man1
-@dirrmtry man/sr
-@dirrmtry man/ru/man1
-@dirrmtry man/ru
-@dirrmtry man/pl/man1
-@dirrmtry man/pl
-@dirrmtry man/it/man1
-@dirrmtry man/it
-@dirrmtry man/hu/man1
-@dirrmtry man/hu
-@dirrmtry man/es/man1
-@dirrmtry man/es
+@dirrmtry etc/mc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rusmir Dusko freebsd_committer 2013-10-21 22:08:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 admin 2013-10-28 15:27:19 UTC
Hi

root@eepc:/usr/ports/misc/mc # make
===>   mc-4.8.10 depends on executable: gmake - found
===>   mc-4.8.10 depends on executable: pkgconf - found
===>   mc-4.8.10 depends on package: libtool>=2.4 - found
===>   mc-4.8.10 depends on file: /usr/local/bin/perl5.16.3 - found
===>   mc-4.8.10 depends on shared library: libssh2.so - found
===>   mc-4.8.10 depends on shared library: libiconv.so.3 - found
===>   mc-4.8.10 depends on shared library: libintl.so - found
===>   mc-4.8.10 depends on shared library: glib-2.0 - found
===>   mc-4.8.10 depends on shared library: pcre - found
===>  Configuring for mc-4.8.10
configure: error: invalid feature name: configdir=/usr/local/etc
===>  Script "configure" failed unexpectedly.

And, if I manually remove

SMB_CONFIGURE_ENABLE=    vfs-smb configdir=${LOCALBASE}/etc \
            codepagedir=${LOCALBASE}/etc/codepages

from Makefile

checking for ncurses/ncurses.h and ncurses/term.h... no
configure: error: ncurses header not found
===>  Script "configure" failed unexpectedly.